<?php

add_shortcode('proyectos', 'mis_proyectos');
function mis_proyectos( $atts, $content = null  )
{

	return loop_query( array('post_type'=>'project'),true,false,'proyectos' );
}

add_shortcode('entradas', 'ultimas_entradas');
function ultimas_entradas( $atts, $content = null  )
{

	return loop_query( array('post_type'=>'post'),true,true );
}


/********************** GRAFICO ENTRADAS POR FUENTE, filtrado por categorías de usuario **************/
add_shortcode('grafico_entradas_x_fuente_usuario','grafico_entradas_x_fuente_usuario_shortcode');
function grafico_entradas_x_fuente_usuario_shortcode(){

$url=home_url('?fuente=');
	?>
	
	<div  style="position:relative;">
			<div id="grafico_fuente_categoria_semana" >
		<?php
		grafico_entradas_x_fuente_usuario_shortcode_semana($url);
		?>
		</div>
		<div id="grafico_fuente_categoria_mes" style="visibility:hidden;position:absolute;top:0;width:100%;">
			<?php
			grafico_entradas_x_fuente_usuario_shortcode_mes($url);
		?>
					</div>
					<div id="grafico_fuente_categoria_trimestre" style="visibility:hidden;position:absolute;top:0;width:100%;">
				<?php
				grafico_entradas_x_fuente_usuario_shortcode_trimestre($url);
		?>
					</div>
					</div>
				<?php

}
/************* GRAFICO ENTRADAS POR CONCEPTO SEGUIMINETO *******/
add_shortcode('graficos_entradas_x_conceptos_seguimiento','graficos_entradas_x_conceptos_seguimiento_shortcode');
function graficos_entradas_x_conceptos_seguimiento_shortcode()
{
?>
<div  style="position:relative;width:49%;float:left;border-bottom:1px dotted grey;">
		<div id="grafico_conc_seg_semana" >
	<?php
	grafico_entradas_x_concepto_seguimiento_semana_shortcode();
	?>
	</div>
	<div id="grafico_conc_seg_mes" style="visibility:hidden;position:absolute;top:0;width:100%;">
		<?php
	grafico_entradas_x_concepto_seguimiento_mes_shortcode();
	?>
				</div>
				<div id="grafico_conc_seg_trimestre" style="visibility:hidden;position:absolute;top:0;width:100%;">
			<?php
	grafico_entradas_x_concepto_seguimiento_trimestre();
	?>
				</div>
				</div>
			<?php
}
/****************GRAFICO ENTRADAS POR CONCEPTO DE USUARIO *****************/

add_shortcode('graficos_entradas_x_conceptos_usuario','graficos_entradas_x_conceptos_usuario_shortcode');
function graficos_entradas_x_conceptos_usuario_shortcode()
{
?>
<div  style="position:relative;width:100%;height:500px;;border-bottom:0px dotted grey;">
		<div id="grafico_semana" >
	<?php
	grafico_entradas_x_concepto_usuario_semana();
	?>
	</div>
	<div id="grafico_mes" style="visibility:hidden;position:absolute;top:0;width:100%;">
		<?php
	grafico_entradas_x_concepto_usuario_mes();
	?>
				</div>
				<div id="grafico_trimestre" style="visibility:hidden;position:absolute;top:0;width:100%;">
			<?php
	grafico_entradas_x_concepto_usuario_trimestre();
	?>
				</div>
				</div>
			<?php
}




